Skip to main content
GET
Get post metrics

Authorizations

Authorization
string
header
required

Workspace API key from Settings → API Keys.

Path Parameters

post
string<uuid>
required

Post id. A post of another workspace returns 404.

Response

The post's metrics.

post_id
string<uuid>
platform
enum<string> | null

Network of a social account. linkedin-page is a LinkedIn company page, instagram-facebook an Instagram account connected through a Facebook Page.

Available options:
linkedin,
linkedin-page,
x,
tiktok,
youtube,
facebook,
instagram,
instagram-facebook,
threads,
pinterest,
bluesky,
mastodon,
telegram,
discord,
google_business
publish_status
enum<string>

Publishing state on the network (see Post.publish_status).

Available options:
pending,
publishing,
retrying,
pending_review,
published,
failed,
rejected
platform_post_id
string | null

The post's id on the network.

platform_url
string | null
metrics
object

The saved analytics, or {unsupported: true, reason} when there are none: not_published, platform_not_supported (LinkedIn, LinkedIn Page, Telegram, Discord and Google Business are not in analytics) or not_collected (not collected yet).